Вход | Регистрация


1С:Предприятие :: 1С:Предприятие 8 общая

УАТ 2.0 стандарт фунция ПроверитьБит

УАТ 2.0 стандарт  фунция ПроверитьБит
Я
   1CBaseV8
 
16.10.18 - 08:59
УАТ объединен с бухгалтерией произошло обновление бухи, режим совместимости был раньше 8.3.10 сейчас встал 8.3.12

Выходит ошибка 
Управление автотранспортом Стандарт, редакция 2.0
[16.10.2018 8:55:25]: {ВнешняяОбработка.Лицензирование.МодульОбъекта(99)}: Ошибка при вызове метода контекста (Создать): Ошибка инициализации модуля: ВнешняяОбработка.ЗащищеннаяОбработка.МодульОбъекта: {ВнешняяОбработка.ЗащищеннаяОбработка.МодульОбъекта(100,9)}: Процедура или функция с указанным именем уже определена (ПроверитьБит)

Что можно сделать?
 
 
   Cool_Profi
 
1 - 16.10.18 - 09:04
Обратиться к поставщику конфигурации, разумеется
   zak555
 
2 - 16.10.18 - 09:04
Отказаться от бит
   1CBaseV8
 
3 - 16.10.18 - 09:05
(1) Автотранспорт переписан, обновлять, так себе, не вариант.
   Amra
 
4 - 16.10.18 - 09:06
(3) А где написано про "обновлять"?
   1CBaseV8
 
5 - 16.10.18 - 09:10
(4) ДУмаешь достаточно обновить файлы защиты?
   Amra
 
6 - 16.10.18 - 09:11
(5) Думаю достаточно "обратиться к поставщику конфигурации".
   xxTANATORxx
 
7 - 16.10.18 - 09:12
(0)эээ ... ну а что там в МодульОбъекта(100,9) ???
поправить не вариант?
   1CBaseV8
 
8 - 16.10.18 - 09:13
(7) Это УАТовская система защиты. Надо ломать сначала лицензионные модули, а потом искать откуда они эти модули получает.
   Фрэнки
 
9 - 16.10.18 - 09:19
(8) но буховский кусок конфигурации, не взирая на то, что в ней сидит УАТ у вас все-таки обновляют. Причем, насколько я сталкивался, если не прав, то поправьте - если вливался УАТ в конфиг с БП, то далее обновления этой соединенной конфиги получают уже от поставщика УАТ, а не с релизов 1С для БП
   hhhh
 
10 - 16.10.18 - 09:30
(8) есть уже функция платформы ПроверитьБит. Поэтому сочувствую.
 
 Рекламное место пустует
   Мыш
 
11 - 16.10.18 - 09:33
(8) Система защиты какая?
   1CBaseV8
 
12 - 16.10.18 - 09:33
Файлы защиты для Управление Автотранспортом Стандарт, редакция 2.2, версия 2.2.1.1 может кто прислать?
   1CBaseV8
 
13 - 16.10.18 - 09:41
(11) Насклько знаю есть зашифрованные модули а они вытаскивают код из dll.
   Amra
 
14 - 16.10.18 - 09:48
(12) Рарус может
   palsergeich
 
15 - 16.10.18 - 09:51
Варианты:
1) снизить версию платформы до той, где нет этой функции
2) Снять модуль с поддержки и убрать саму функцию ПроверитьБит из модуля так как она теперь платформенная.
На Рарус надежды мало, ибо у них релизы раз в пол года по УАТ выходят
   palsergeich
 
16 - 16.10.18 - 09:52
Прочитал внимательно, 2 пункт не катит.
Тогда ставьте платформу ниже 8.3.11.2867
   1CBaseV8
 
17 - 16.10.18 - 10:01
(15) > снизить версию платформы до той, где нет этой функции

УАТ встроен в БП, для нового релиза БП снизить платформу не получится.
   ЛЮС
 
18 - 16.10.18 - 10:01
Была практически такая же проблема с УАТом, только с функциями работы с JSON.
Пришлось откатить платформу и запрашивать у поставщика свежий релиз.
   palsergeich
 
19 - 16.10.18 - 10:03
(17) А вот это печаль.
Тогда путь один идти и плакать в чатик Раруса.
Иных законных путей нет.
   ЛЮС
 
20 - 16.10.18 - 10:04
Ну еще можно в УАТе вырезать все вызовы защищенного модуля и надеяться что будет работать в полуобморочном состоянии. В УАТ 1 можно было безболезненно отучить почти везде кроме сложных расчетов рабочего времени и расхода ГСМ.
   1CBaseV8
 
21 - 16.10.18 - 10:05
(20) Насколько я понимаю обращение к этим процедурам идет из защищенных модулей.
   palsergeich
 
22 - 16.10.18 - 10:05
(20) Не будут работать очтеты УАТ все
+ не все документы будут открываться.
ТО есть УАТ как бы есть, но работать в нем не получится, тоже так себе решение
   palsergeich
 
23 - 16.10.18 - 10:06
(21) Даже если их вскроешь, тебе это не поможет. Ибо работать в базе не получится
   Фрэнки
 
24 - 16.10.18 - 10:11
Ну и что за чушь, относительно того, что нет релиза, нет релиза?

Управление автотранспортом Стандарт, редакция 2.1    2.2.1.1    25.09.18

Это в выпусках релизов ИТС - есть право на обновление, то обновляешься нормальным способом.

Обращаю внимание, что Дата выпуска релиза соотв. выпуску
который вышел 20.09.18
Бухгалтерия предприятия, редакция 3.0, версия 3.0.65.69

Внимание! Текущая версия конфигурации "Бухгалтерия предприятия" предназначена для использования с версией технологической платформы 1С:Предприятие 8 не ниже 8.3.12.1529.
   Мыш
 
25 - 16.10.18 - 10:12
(13) Не, я про другое. Катран используют?
   palsergeich
 
26 - 16.10.18 - 10:13
(25) Да
   Мыш
 
27 - 16.10.18 - 10:13
(24) ТС пишет, что УАТ переписан и не хочет его обновлять )
   palsergeich
 
28 - 16.10.18 - 10:14
(25) бОльшая часть Рарус конф, УАТ в их числе на Катран
   Мыш
 
29 - 16.10.18 - 10:15
(26) Понятно. Код у них не в dll. В общих макетах лежат зашифрованные обработки. dll их расшифровывает во время работы.
   1CBaseV8
 
30 - 16.10.18 - 10:16
(23) > Даже если их вскроешь, тебе это не поможет. Ибо работать в базе не получится

ТОгда можно будет получить доступ к модулям защиты.
   Мыш
 
31 - 16.10.18 - 10:17
(30) Тебя забанят. За обсуждение взлома )


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует